ExcludeArch: %{ix86}
# Generated by rust2rpm 26
%bcond_without check


%global crate cosmic-settings-daemon


%global commit a41d1991fdfdac58f0b788e43087ad6ee01d00ca
%global shortcommit a41d199
%global commitdatestring 2024-09-08 19:50:11 -0400
%global commitdate 20240908

Name:           cosmic-settings-daemon
Version:        1.0.0~alpha.2
Release:        %autorelease
Summary:        Settings daemon for the COSMIC Desktop Environment

License:        Zlib AND (Unlicense OR MIT) AND GPL-3.0-or-later AND MPL-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSD-3-Clause AND BSD-2-Clause AND ISC AND BSL-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND CC0-1.0 AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND MIT AND Apache-2.0

URL:            https://github.com/pop-os/cosmic-settings-daemon

Source0:        https://github.com/pop-os/cosmic-settings-daemon/archive/%{commit}/cosmic-settings-daemon-%{shortcommit}.tar.gz
# To create the below sources:
# * git clone https://github.com/pop-os/cosmic-settings-daemon at the specified commit
# * cargo vendor > vendor-config-%%{shortcommit}.toml
# * tar -pczf vendor-%%{shortcommit}.tar.gz vendor
Source1:        vendor-%{shortcommit}.tar.gz
# * mv vendor-config-%%{shortcommit}.toml ..
Source2:        vendor-config-%{shortcommit}.toml

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  rustc
BuildRequires:  lld
BuildRequires:  cargo
BuildRequires:  systemd-devel
BuildRequires:  libudev-devel
BuildRequires:  libinput-devel
BuildRequires:  wayland-devel
BuildRequires:  clang-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  pam-devel
BuildRequires:  just

Requires:       acpid
Requires:       adw-gtk3-theme

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n %{crate}-%{commit} -p1 -a1
%cargo_prep -N
# Check if .cargo/config.toml exists
if [ -f .cargo/config.toml ]; then
  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
  cat %{SOURCE2} >> .cargo/config.toml
  echo "Appended %{SOURCE2} to .cargo/config.toml"
else
  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
  cat %{SOURCE2} >> .cargo/config
  echo "Appended %{SOURCE2} to .cargo/config"
fi

%build
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}
sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt

%install
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
make install DESTDIR=%{buildroot} prefix=%{_prefix}

%if %{with check}
%check
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%{_bindir}/cosmic-settings-daemon
%{_datadir}/cosmic/com.system76.CosmicSettings.Shortcuts/*
%{_datadir}/polkit-1/rules.d/cosmic-settings-daemon.rules


%changelog
%autochangelog
